module BigcommerceTool
  class CLI < Thor

    desc "serve", "Serve local Bigcommerce templates"
    long_desc File.read(File.expand_path('../long_descriptions/serve.txt', __FILE__))
    option :template_folder
    option :override_templates_folder
    option :global_variables
    option :global_files
    option :language_variables
    option :page_variables
    option :discount_variables
    def serve
      options.each { |key, value| BigcommerceTool::App.set key.to_sym, value }
      Rack::Server.start(app: Rack::ShowExceptions.new(Rack::Lint.new(BigcommerceTool::App.new)), Port: 9292)
    end

    desc "init", "Initialize default configuration settings"
    def init
      puts "dump sane configs"
    end

    desc "deploy", "Deploy changed templates to Bigcommerce using WebDAV"
    option :branch
    option :config_path
    def deploy
      BigcommerceTool::Deployer.new(options).deploy
    end
  end
end
