class GenericLookup
  def initialize(yaml_path)
    @translations = YAML::load(File.open(File.join(Dir.pwd, yaml_path)))
  end

  def merge_additional_options(hsh)
    @translations.merge!(hsh)
  end

  def render_in_div(key)
    "<div style='border:1px solid red'>#{code}#{key}: [-- %%#{code}#{key}%% --]</div>"
  end

  def lookup(key)
    if @translations.has_key?(key)
      @translations[key]
    else
      puts render_in_div(key)
      #puts "  --- missing (#{self.class} lookup): #{key}" #unless @translations.has_key?(key)
      #puts "#{code}#{key}: '%%#{code}#{key}%%'"
      "#{self.code}#{key}"
    end
  end
end
