module BigcommerceTool
  class Global < GenericLookup

    def initialize(config_path, file_load_path)
      @file_load_path = file_load_path
      super(config_path)
    end

    def lookup(key)
      unless @translations[key].to_s.match(/From File/)
        super(key)
      else
        load_from_file(key)
      end
    end

    def code
      "GLOBAL_"
    end

    private

    def load_from_file(key)
      File.open(File.join(Dir.pwd, @file_load_path, "#{key}.html") , "rb").read
    end
  end
end
